MetricSetControllerMoveElementBeforeOnMetricSet Method |
POST /MetricSet/MoveElementBefore/{id}
Moves an element before another element in a metric set.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (9.0.0.1000)
Syntax[HttpPostAttribute]
[ActionNameAttribute("MoveElementBefore")]
public HttpResponseMessage MoveElementBeforeOnMetricSet(
Guid id,
[FromBodyAttribute] MoveElementBeforeOptions options,
Nullable<Guid> sessionId = null
)<HttpPostAttribute>
<ActionNameAttribute("MoveElementBefore")>
Public Function MoveElementBeforeOnMetricSet (
id As Guid,
<FromBodyAttribute> options As MoveElementBeforeOptions,
Optional sessionId As Nullable(Of Guid) = Nothing
) As HttpResponseMessagepublic:
[HttpPostAttribute]
[ActionNameAttribute(L"MoveElementBefore")]
HttpResponseMessage^ MoveElementBeforeOnMetricSet(
Guid id,
[FromBodyAttribute] MoveElementBeforeOptions^ options,
Nullable<Guid> sessionId = nullptr
)
[<HttpPostAttribute>]
[<ActionNameAttribute("MoveElementBefore")>]
member MoveElementBeforeOnMetricSet :
id : Guid *
[<FromBodyAttribute>] options : MoveElementBeforeOptions *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> HttpResponseMessage
Parameters
- id
- Type: SystemGuid
The ID of the metric set. - options
- Type: Dundas.BI.WebApi.ModelsMoveElementBeforeOptions
The options to move the element. - sessionId (Optional)
- Type: SystemNullableGuid
Current session ID.
Return Value
Type:
HttpResponseMessage
A
MetricSetData object containing the updated metric set data, or a status code indicating the problem.
See Also